AMR-NB Decoder Plugin , Gstreamer

AMR Codecs

“An error occurred The playback of this movie requires a Adaptive Multi Rate NarrowBand (AMR-NB) decoder plugin which is not installed.”

Download the package from and unzip it. Change directory to unzipped directory and follow below steps at the terminal.

saffrongeek@saffrongeek-laptop:~$ cd Desktop/amrwb-

saffrongeek@saffrongeek-laptop:~/Desktop/amrwb-$ ./configure

saffrongeek@saffrongeek-laptop:~/Desktop/amrwb-$ make

saffrongeek@saffrongeek-laptop:~/Desktop/amrwb-$ sudo make install
Dowload the gst-plugin-tar from and configure gst-ugly.if the md5sum check is not consistent try downloading another ugly zip.

saffrongeek@saffrongeek-laptop:~/Desktop$ md5sum gst-plugins-ugly-0.10.11.tar.bz2
dfe2e201e066a3e86a9598b6769d9739  gst-plugins-ugly-0.10.11.tar.bz2

saffrongeek@saffrongeek-laptop:~/Desktop$ cd gst-plugins-ugly-0.10.11/
saffrongeek@saffrongeek-laptop:~/Desktop/gst-plugins-ugly-0.10.11$ ./configure
saffrongeek@saffrongeek-laptop:~/Desktop/gst-plugins-ugly-0.10.11$ sudo make install

——- Observation
Note: Below issues needs to be resolved using Synaptic package Manager.

checking for LIBOIL… no
configure: error: liboil-0.3.8 or later is required

checking for GLIB… yes
checking for LIBOIL… yes
Also, make sure you got gstreamer gstreamer-plugins and gstreamer-base-devel installed



2 Responses to “AMR-NB Decoder Plugin , Gstreamer”

Leave a Reply

Fill in your details below or click an icon to log in: Logo

You are commenting using your account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: